Tables
===================================

.. currentmodule:: pyo

Tables are one-dimension containers to keep samples (sounds, envelopes, algorithmic patterns, etc.)
in memory and access them quickly.

*ChebyTable*
-----------------------------------

.. autoclass:: ChebyTable
   :members:

   .. autoclasstoc::

*CosLogTable*
-----------------------------------

.. autoclass:: CosLogTable
   :members:

   .. autoclasstoc::

*CosTable*
-----------------------------------

.. autoclass:: CosTable
   :members:

   .. autoclasstoc::

*CurveTable*
-----------------------------------

.. autoclass:: CurveTable
   :members:

   .. autoclasstoc::

*DataTable*
-----------------------------------

.. autoclass:: DataTable
   :members:

   .. autoclasstoc::

*ExpTable*
-----------------------------------

.. autoclass:: ExpTable
   :members:

   .. autoclasstoc::

*HannTable*
-----------------------------------

.. autoclass:: HannTable
   :members:

   .. autoclasstoc::

*HarmTable*
-----------------------------------

.. autoclass:: HarmTable
   :members:

   .. autoclasstoc::

*LinTable*
-----------------------------------

.. autoclass:: LinTable
   :members:

   .. autoclasstoc::

*LogTable*
-----------------------------------

.. autoclass:: LogTable
   :members:

   .. autoclasstoc::

*NewTable*
-----------------------------------

.. autoclass:: NewTable
   :members:

   .. autoclasstoc::

*ParaTable*
-----------------------------------

.. autoclass:: ParaTable
   :members:

   .. autoclasstoc::

*PartialTable*
-----------------------------------

.. autoclass:: PartialTable
   :members:

   .. autoclasstoc::

*SawTable*
-----------------------------------

.. autoclass:: SawTable
   :members:

   .. autoclasstoc::

*SincTable*
-----------------------------------

.. autoclass:: SincTable
   :members:

   .. autoclasstoc::

*SndTable*
-----------------------------------

.. autoclass:: SndTable
   :members:

   .. autoclasstoc::

*SquareTable*
-----------------------------------

.. autoclass:: SquareTable
   :members:

   .. autoclasstoc::

*TriangleTable*
-----------------------------------

.. autoclass:: TriangleTable
   :members:

   .. autoclasstoc::

*WinTable*
-----------------------------------

.. autoclass:: WinTable
   :members:

   .. autoclasstoc::

*AtanTable*
-----------------------------------

.. autoclass:: AtanTable
   :members:

   .. autoclasstoc::

*PadSynthTable*
-----------------------------------

.. autoclass:: PadSynthTable
   :members:

   .. autoclasstoc::

*SharedTable*
-----------------------------------

.. autoclass:: SharedTable
   :members:

   .. autoclasstoc::
